import PageSetup from './page-setup';
import { ViewerMode, SheetLayout, SheetMarks } from './constants';
import type { BookContent } from './types';
import Viewer from './viewer';
import { Book } from './book';
import { Rule } from './rules/Rule';
interface PrintSetup {
    layout: SheetLayout;
    marks: SheetMarks;
}
interface BinderyOptions {
    autoupdate?: boolean;
    autorun?: boolean;
    content: BookContent;
    pageNumberOffset?: number;
    printSetup?: PrintSetup;
    pageSetup?: {};
    rules?: any[];
    view?: ViewerMode;
}
declare class Bindery {
    autorun: boolean;
    autoupdate: boolean;
    viewer: Viewer;
    content: HTMLElement;
    pageSetup: PageSetup;
    rules: Rule[];
    constructor(opts: BinderyOptions);
    static makeBook(opts: BinderyOptions): Bindery;
    cancel(): void;
    makeBook(contentDescription: BookContent): Promise<Book | undefined>;
}
export default Bindery;
