import Bindery from './bindery';
import { ViewerMode, SheetSize, SheetLayout, SheetMarks } from './constants';
import '../src/main.scss';
declare const BinderyWithRules: typeof Bindery & {
    Rule: typeof import("./rules/Rule").Rule;
    Split(options: Partial<import("./rules/Split").SplitRuleOptions>): import("./rules/Split").default;
    Counter(options: Partial<import("./rules/Counter").CounterRuleOptions>): import("./rules/Counter").default;
    FullBleedPage(options: Partial<import("./rules/FullBleedPage").FullBleedPageRuleOptions>): import("./rules/FullBleedPage").default;
    Footnote(options: Partial<import("./rules/Footnote").FootnoteRuleOptions>): import("./rules/Footnote").default;
    RunningHeader(options: Partial<import("./rules/RunningHeader").RunningHeaderRuleOptions>): import("./rules/RunningHeader").default;
    Replace(options: Partial<import("./rules/Replace").ReplaceRuleOptions>): import("./rules/Replace").default;
    FullBleedSpread(options: Partial<import("./rules/FullBleedSpread").FullBleedSpreadPageRuleOptions>): import("./rules/FullBleedSpread").default;
    PageBreak(options: Partial<import("./rules/PageBreak").PageBreakRuleOptions>): import("./rules/PageBreak").default;
    PageReference(options: Partial<import("./rules/PageReference").PageReferenceRuleOptions>): import("./rules/PageReference").default;
    createRule(options: Partial<import("./rules/Rule").RuleOptions>): import("./rules/Rule").Rule;
} & {
    View: typeof ViewerMode;
    Paper: typeof SheetSize;
    Layout: typeof SheetLayout;
    Marks: typeof SheetMarks;
    version: string;
};
export default BinderyWithRules;
