import { Rule, RuleOptions } from './Rule';
import { CSSSelector } from '../types';
export interface CounterRuleOptions extends RuleOptions {
    incrementEl: CSSSelector;
    resetEl: CSSSelector;
    replaceEl: CSSSelector;
    replace: (element: HTMLElement) => HTMLElement;
}
declare class Counter extends Rule {
    counterValue: number;
    incrementEl: CSSSelector;
    resetEl: CSSSelector;
    replaceEl: CSSSelector;
    constructor(options: Partial<CounterRuleOptions>);
    setup(): void;
    beforeAdd(el: HTMLElement): HTMLElement;
    createReplacement(element: HTMLElement): HTMLElement;
    replace(element: HTMLElement, counterValue: number): HTMLElement;
}
export default Counter;
