import Replace from './Replace';
import { Book, Page } from '../book';
import { CSSSelector } from '../types';
declare type TestFunction = (el: HTMLElement) => boolean;
interface PageReferenceInstance {
    previousMatches: number[] | undefined;
    element: HTMLElement;
    template: HTMLElement;
    testFunction: TestFunction;
}
export interface PageReferenceRuleOptions {
    selector: CSSSelector;
    replace: (element: HTMLElement, number: string | number) => HTMLElement;
    createTest: (element: HTMLElement) => TestFunction;
}
declare class PageReference extends Replace {
    references: PageReferenceInstance[];
    throttledUpdate: (book: Book) => void;
    constructor(options: Partial<PageReferenceRuleOptions>);
    eachPage(page: Page, book: Book): void;
    afterAdd(elmt: HTMLElement, book: Book): HTMLElement;
    createReference(book: Book, testFunction: TestFunction, elmt: HTMLElement): PageReferenceInstance;
    render(ref: PageReferenceInstance, matchingPageNumbers: number[]): void;
    createTest(element: HTMLElement): TestFunction | null;
    updatePageReferences(pages: Page[]): void;
    replace(template: HTMLElement, number: string | number): HTMLElement;
}
export default PageReference;
